@echo off

rem Symantec Control Compliance Suite 11.0 - Agent Registration silent

rem Copy this batch file in bin\<platform> directiry before running.
rem This is a sample batch file for running the Symantec Control Compliance Suite 11.0 - Agent Registration silently.
rem This batch file assumes that it is being run from the same directory as the agent installer.
rem Use this batch file as a template, and modify it according to your needs.
rem The command for running Agent Registration is commented. Uncomment the command depending on whether you are using encrypted or non-encrypted password.

@echo Running the Symantec Control Compliance Suite 11.0 - Agent Registration.  Please Wait....

rem Example with non-encrypted password
rem AgentConfiguration.exe -m [{dev-imr50-2,esm,esm4now,1,default,5600,1}] -i enable -e [dev-imr50-2]

rem Example with encrypted password
rem AgentConfiguration.exe -m [{dev-imr50-2,esm,"<%%FF%%7F%%u2018%%4f%%43%%AC>",1,default,5600,1}] -i enable -e [dev-imr50-2]

rem Parameters
rem "-m [{mgr spec 1},{mgr spec 2},...{mgr spec n}] -i <enable|disable> <-e|-d> [m1,m2,m3...]"	 		Register Agent
rem [{mgr spec 1},{mgr spec 2},...{mgr spec n}] 
rem	list of managers to register this agent to -- mgr spec has the following comma delimited list of information
rem			manager name
rem			login name
rem			login password (To use encrypted passwords do the following:
rem						- generate the encrpyted password from the plain text password using the EncrpytPassword Tool
rem						- enclose the encrypted passwords in angle brackets, i.e. <encrpyted_password>
rem                                             - The encrypted password should be given in double quotes.
rem						- make sure that the passord is URL encoded, this requires double '%' signs in batch files
rem			agent name type (1 - long, 2 - short, 3 - user defined)
rem			agent name (default - long, ignored unless agent name type is 3, generated according to type otherwise)
rem			port number manager listens on
rem			verify manager to agent communication (0 - do not verify, 1 - verify, abort on failure)
rem -e			enable live update on agent from all registered manager
rem -e [m1,m2,m3..]	enable live update on agent from list of manager (selective)	
rem -d			disable live update on agent from all registered manager
rem -d [m1,m2,m3..]	disable live update on agent from list of manager (selective)
rem 
rem -i enable	: enable ice script
rem -i disable	: disable ice script

