@echo off

rem Symantec Control Compliance Suite 11.0 - Agent silent install

rem This is a sample batch file for running the ESM 2011 Agent install silently.
rem This batch file assumes that it is being run from the same directory as the agent installer.
rem Use this batch file as a template, and modify it according to your needs.


@echo Running the ESM Agent Install.  Please Wait....

setup.exe /s /v"/qn /l*v \"%TEMP%\SymantecCCSAgentInstall.log\" INSTALLDIR=\"C:\Program Files\Symantec\Enterprise Security Manager\" AGENTCONFIG=\"-m [{dev-imr50-2,esm,esm4now,1,default,5600,1}] -i enable -e [dev-imr50-2]\"

@echo CCS Agent Install Completed.   See results at %TEMP%\SymantecCCSAgentInstall.log


rem Parameters
rem /s 					run the install in silent mode
rem /v"<COMMAND LINE>"			COMMAND LINE is the parameters to pass on to the MSI installer (described in detail below)
rem /qn					run the install with no GUI
rem /l*v <LOG FILE>			use the most verbose logging and write the output to the specified log file
rem					other logging options are available, such as, /le <LOG FILE> to log errors only
rem					the complete list can be found on microsoft's web site
rem					This file is the Installation log file. 
rem					The ESM Agent Registration logfile will be generated in the %TEMP% folder.
rem INSTALLDIR=<DIRECTORY>		directory to install the agent to
rem AGENTCONFIG	= "-m [{mgr spec 1},{mgr spec 2},...{mgr spec n}] -i <enable|disable> <-e|-d> [m1,m2,m3...]"	 		Register Agent
rem [{mgr spec 1},{mgr spec 2},...{mgr spec n}] 
rem	list of managers to register this agent to -- mgr spec has the following comma delimited list of information
rem			manager name
rem			login name
rem			login password (To use encrypted passwords do the following:
rem						- generate the encrpyted password from the plain text password using the EncrpytPassword Tool
rem						- enclose the encrypted passwords in angle brackets, i.e. <encrpyted_password>
rem						- This password should be given in double quotes.
rem						- make sure that the passord is URL encoded, this requires double '%' signs in batch files
rem			agent name type (1 - long, 2 - short, 3 - user defined)
rem			agent name (default - long, ignored unless agent name type is 3, generated according to type otherwise)
rem			port number manager listens on
rem			verify manager to agent communication (0 - do not verify, 1 - verify, abort on failure)
rem -e			enable live update on agent from all registered manager
rem -e [m1,m2,m3..]	enable live update on agent from list of manager (selective)	
rem -d			disable live update on agent from all registered manager
rem -d [m1,m2,m3..]	disable live update on agent from list of manager (selective)
rem 
rem -i enable	: enable ice script
rem -i disable	: disable ice scrip
rem
rem SULOCATION = <Location of SU packages to be installed, this optional parameter and only required , SU to be installed is present at diffrent location than the Agent installer>
